<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>libgdamm: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">libgdamm
   &#160;<span id="projectnumber">4.99.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceGnome.html">Gnome</a></li><li class="navelem"><a class="el" href="namespaceGnome_1_1Gda.html">Gda</a></li><li class="navelem"><a class="el" href="classGnome_1_1Gda_1_1MetaStoreError.html">MetaStoreError</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Gnome::Gda::MetaStoreError Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classGnome_1_1Gda_1_1MetaStoreError.html">Gnome::Gda::MetaStoreError</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1MetaStoreError.html#a0f6978c23ca20fef2786795724ecd97e">Code</a> enum name</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1MetaStoreError.html">Gnome::Gda::MetaStoreError</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1MetaStoreError.html#a23731614ba0c2b038577bfaba1daae76">code</a>() const </td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1MetaStoreError.html">Gnome::Gda::MetaStoreError</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Error.html#a8d0366db925669aa5841f21e48f278c4">domain</a>() const </td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Error.html">Glib::Error</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Error.html#a2639aeb2b6a6c43662cf17b8c88a122d">Error</a>()</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Error.html">Glib::Error</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Error.html#a478576c835fb1d66e46076b4c2d19799">Error</a>(GQuark error_domain, int error_code, const Glib::ustring &amp;message)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Error.html">Glib::Error</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Error.html#a70257ceb030e4d9dd3ac9a6482830d24">Error</a>(GError *gobject, bool take_copy=false)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Error.html">Glib::Error</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Error.html#a715ed79ccf7d2fa3a357014fc614a4a4">Error</a>(const Error &amp;other)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Error.html">Glib::Error</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Error.html#a69e6636c8ed726b1468ed61c07d65816">gobj</a>()</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Error.html">Glib::Error</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Error.html#a41b5a27b917ecb6a0176387bf357d8cc">gobj</a>() const </td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Error.html">Glib::Error</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Error.html#aaf45a78024403f011e31a73c1361c59a">gobject_</a></td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Error.html">Glib::Error</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Error.html#a4a8818d3d0bb26a01a020dedd12c525d">matches</a>(GQuark error_domain, int error_code) const </td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Error.html">Glib::Error</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1MetaStoreError.html#a0f6978c23ca20fef2786795724ecd97ea74be7e27753684cf35372cba2f4312ac">META_STORE_ATTRIBUTE_ERROR</a> enum value</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1MetaStoreError.html">Gnome::Gda::MetaStoreError</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1MetaStoreError.html#a0f6978c23ca20fef2786795724ecd97eacc8af8cc968dc0582ee132cc52887b8f">META_STORE_ATTRIBUTE_NOT_FOUND_ERROR</a> enum value</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1MetaStoreError.html">Gnome::Gda::MetaStoreError</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1MetaStoreError.html#a0f6978c23ca20fef2786795724ecd97ea4692b517f47220184498b667ef20bf77">META_STORE_EXTRACT_SQL_ERROR</a> enum value</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1MetaStoreError.html">Gnome::Gda::MetaStoreError</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1MetaStoreError.html#a0f6978c23ca20fef2786795724ecd97ea98a8f22c9258ebdd0f6f443d17b4808f">META_STORE_INCORRECT_SCHEMA_ERROR</a> enum value</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1MetaStoreError.html">Gnome::Gda::MetaStoreError</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1MetaStoreError.html#a0f6978c23ca20fef2786795724ecd97eab4a7171d8abde2ea1197823db7055eb7">META_STORE_INTERNAL_ERROR</a> enum value</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1MetaStoreError.html">Gnome::Gda::MetaStoreError</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1MetaStoreError.html#a0f6978c23ca20fef2786795724ecd97ea1a368cb9f2ab0158eddd013b0aa588f8">META_STORE_META_CONTEXT_ERROR</a> enum value</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1MetaStoreError.html">Gnome::Gda::MetaStoreError</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1MetaStoreError.html#a0f6978c23ca20fef2786795724ecd97eaca0801bd2004e0eb1076ebcdb513ec0d">META_STORE_MODIFY_CONTENTS_ERROR</a> enum value</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1MetaStoreError.html">Gnome::Gda::MetaStoreError</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1MetaStoreError.html#a0f6978c23ca20fef2786795724ecd97ea3a07a04be3d891ae9fc81505d2721bcb">META_STORE_SCHEMA_OBJECT_CONFLICT_ERROR</a> enum value</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1MetaStoreError.html">Gnome::Gda::MetaStoreError</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1MetaStoreError.html#a0f6978c23ca20fef2786795724ecd97eab7eebae622959d49c3a14442212ae55f">META_STORE_SCHEMA_OBJECT_DESCR_ERROR</a> enum value</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1MetaStoreError.html">Gnome::Gda::MetaStoreError</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1MetaStoreError.html#a0f6978c23ca20fef2786795724ecd97eaf964ed5d04f7ef646b4a754bf96cd3eb">META_STORE_SCHEMA_OBJECT_NOT_FOUND_ERROR</a> enum value</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1MetaStoreError.html">Gnome::Gda::MetaStoreError</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1MetaStoreError.html#a0f6978c23ca20fef2786795724ecd97eaae017823bedfb3577b2781b567cb31dc">META_STORE_TRANSACTION_ALREADY_STARTED_ERROR</a> enum value</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1MetaStoreError.html">Gnome::Gda::MetaStoreError</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1MetaStoreError.html#a0f6978c23ca20fef2786795724ecd97ea94915eff64e8113af80a4343f8fe8578">META_STORE_UNSUPPORTED_PROVIDER_ERROR</a> enum value</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1MetaStoreError.html">Gnome::Gda::MetaStoreError</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1MetaStoreError.html#a8142338454b90a0c20a5c102f746571b">MetaStoreError</a>(Code error_code, const Glib::ustring&amp; error_message)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1MetaStoreError.html">Gnome::Gda::MetaStoreError</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1MetaStoreError.html#a756f6e25eae2636e4eb6b2acda8a0303">MetaStoreError</a>(GError* gobject)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1MetaStoreError.html">Gnome::Gda::MetaStoreError</a></td><td class="entry"><span class="mlabel">explicit</span></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Error.html#a6fd059d3c4d24c3f6a0f6999be41b138">operator=</a>(const Error &amp;other)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Error.html">Glib::Error</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Error.html#afbf91e86e5087a3ab861f705e5d16433">what</a>() const override</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Error.html">Glib::Error</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Error.html#af68364c4d9034cb1dc095c65b8012a40">~Error</a>() noexcept</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Error.html">Glib::Error</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Exception.html#a51fb593b3bb4bf81999d00516ff0a613">~Exception</a>() noexcept=0</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Exception.html">Glib::Exception</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 4 2015 15:04:40 for libgdamm by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.9.1
</small></address>
</body>
</html>
